#define snapshot_vendor  ivmai
#define snapshot         81be636
#define snapshot_version 7_2alpha6-128

%define rawname		atomic_ops
%define major		1
%define libname		%mklibname %{rawname} %{major} 
%define libgpl		%mklibname %{rawname}_gpl %{major}
%define libname_devel	%mklibname %{rawname} -d

Name:		libatomic_ops
Version:	7.6.14
Release:	%mkrel 1
Summary:	Multiplatform atomic memory operation library
# libatomic_ops MIT, libatomic_ops_gpl GPLv2
License:	GPLv2 and MIT
Group:		System/Libraries
URL:		https://github.com/ivmai/libatomic_ops
Source0:	https://github.com/ivmai/libatomic_ops/releases/download/v%{version}/%{name}-%{version}.tar.gz
#Source0:	%%{snapshot_vendor}-%%{name}-%%{name}-%%{snapshot_version}-g%%{snapshot}.zip

%description
Multiplatform atomic memory operation library.

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the shared library for %{name}.

%package -n	%{libgpl}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libgpl}
This package contains the shared library for %{name}.

%package -n	%{libname_devel}
Summary:	Multiplatform atomic memory operation library
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgpl} = %{version}-%{release}
# Cross-arch provides
Provides:	%{name}-devel = %{version}
Provides:	%{rawname}-devel = %{version}

%description -n	%{libname_devel}
Provides implementations for atomic memory update operations on a number of
architectures. This allows direct use of these in reasonably portable code.
Unlike earlier similar packages, this one explicitly considers memory barrier
semantics, and allows the construction of code that involves minimum overhead
across a variety of architectures.

The package has been at least minimally tested on X86, Itanium, Alpha,
PA-RISC, PowerPC, and SPARC, with Linux, Microsoft Windows, HP/UX, Solaris
and MACOSX operating systems. Some implementations are more complete than
others.

It should be useful both for high performance multi-threaded code which can't
afford to use the standard locking primitives, or for code that has to access
shared data structures from signal handlers. For details, see README.txt in
the distribution.

The most recent version adds support for operations on data of different
sizes, and adds an optional library providing almost-lock-free stacks (see
Boehm, "An almost non-blocking stack", also here) and a signal-handler-safe
memory allocator based on it. See README_stack.txt and README_malloc.txt for
details.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure \
	--enable-static \
	--enable-shared
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
%ifarch armv5tl
# Not SMP safe on armv5, which is fine has armv5 has no SMP support, but we
# build armv5 on an armv7 kernel with SMP...
taskset -c 0 make check
%else
%__make check
%endif

%files -n %{libname}
%{_libdir}/lib%{rawname}.so.%{major}{,.*}

%files -n %{libgpl}
%{_libdir}/lib%{rawname}_gpl.so.%{major}{,.*}

%files -n  %{libname_devel}
%{_docdir}/%{name}/
%{_includedir}/*.h
%dir %{_includedir}/%{rawname}
%{_includedir}/%{rawname}/*.h
%dir %{_includedir}/%{rawname}/sysdeps
%{_includedir}/%{rawname}/sysdeps/*.h
%dir %{_includedir}/%{rawname}/sysdeps/gcc
%{_includedir}/%{rawname}/sysdeps/gcc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/hpc
%{_includedir}/%{rawname}/sysdeps/hpc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/ibmc
%{_includedir}/%{rawname}/sysdeps/ibmc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/icc
%{_includedir}/%{rawname}/sysdeps/icc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/loadstore
%{_includedir}/%{rawname}/sysdeps/loadstore/*.h
%dir %{_includedir}/%{rawname}/sysdeps/msftc
%{_includedir}/%{rawname}/sysdeps/msftc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/sunc
%{_includedir}/%{rawname}/sysdeps/sunc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/armcc
%{_includedir}/%{rawname}/sysdeps/armcc/*.h
%{_libdir}/pkgconfig/%{rawname}.pc
%{_libdir}/lib%{rawname}*.so
%{_libdir}/lib%{rawname}*.a


%changelog
* Mon Oct 03 2022 neoclust <neoclust> 7.6.14-1.mga9
+ Revision: 1894501
- New version

* Tue Mar 15 2022 umeabot <umeabot> 7.6.12-2.mga9
+ Revision: 1793788
- Mageia 9 Mass Rebuild

* Tue Jan 25 2022 mrambo3501 <mrambo3501> 7.6.12-1.mga9
+ Revision: 1769782
- version 7.6.12

* Sat Feb 15 2020 umeabot <umeabot> 7.6.10-2.mga8
+ Revision: 1523317
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 03 2019 daviddavid <daviddavid> 7.6.10-1.mga7
+ Revision: 1371158
- new version: 7.6.10

* Mon Dec 31 2018 daviddavid <daviddavid> 7.6.8-1.mga7
+ Revision: 1347452
- new version: 7.6.8

* Sun Sep 23 2018 umeabot <umeabot> 7.6.6-2.mga7
+ Revision: 1298763
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 daviddavid <daviddavid> 7.6.6-1.mga7
+ Revision: 1248720
- new version: 7.6.6

* Tue Mar 27 2018 daviddavid <daviddavid> 7.6.4-1.mga7
+ Revision: 1212794
- new version: 7.6.4

* Sat Jan 06 2018 daviddavid <daviddavid> 7.6.2-1.mga7
+ Revision: 1190651
- new version: 7.6.2
- remove merdeg upstream patch

* Mon Feb 15 2016 umeabot <umeabot> 7.4.2-6.mga6
+ Revision: 960933
- Mageia 6 Mass Rebuild

* Sun Dec 13 2015 pterjan <pterjan> 7.4.2-5.mga6
+ Revision: 910176
- Run tests only on one core on armv5tl

* Fri Dec 11 2015 blino <blino> 7.4.2-4.mga6
+ Revision: 909441
- run tests in check section

* Mon Nov 09 2015 daviddavid <daviddavid> 7.4.2-3.mga6
+ Revision: 899845
- enable static libraries (needed for ecl build)

* Mon Oct 19 2015 daviddavid <daviddavid> 7.4.2-2.mga6
+ Revision: 892695
- libify package to fix empty debugfiles (missing library files)
- add patch from Fedora to fix build
- fix License

* Wed Jul 15 2015 sander85 <sander85> 7.4.2-1.mga6
+ Revision: 854431
- New version: 7.4.2

* Wed Oct 15 2014 umeabot <umeabot> 7.3-0.alpha2.5.mga5
+ Revision: 747200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.3-0.alpha2.4.mga5
+ Revision: 681342
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 7.3-0.alpha2.3.mga4
+ Revision: 507072
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 7.3-0.alpha2.2.mga3
+ Revision: 357539
- update file list
- fix build with automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 07 2012 kamil <kamil> 7.3-0.alpha2.1.mga3
+ Revision: 268601
- new version 7.3 alpha2

* Mon Feb 06 2012 kamil <kamil> 7.3-0.alpha2pre.1.mga2
+ Revision: 205410
- restore .la and .a files
- use snapshot development version 7.3.alpha2
- drop P1, P2, P3, P4

* Mon Feb 06 2012 kamil <kamil> 1.2-7.mga2
+ Revision: 205267
- remove .a files
+ dmorgan <dmorgan>
- imported package libatomic_ops


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-6mdv2011.0
+ Revision: 602524
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-5mdv2010.1
+ Revision: 520753
- rebuilt for 2010.1

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 1.2-4mdv2010.0
+ Revision: 450525
- do not install some doc and headers twice, it makes install command fail
- fix mips, patch was broken/incomplete (from Arnaud Patard)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.2-3mdv2009.0
+ Revision: 222504
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.2-2mdv2008.1
+ Revision: 150453
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2-1mdv2008.0
+ Revision: 80549
- New upstream version: 1.2

* Thu Jun 21 2007 Thierry Vignaud <tv@mandriva.org> 1.1-4mdv2008.0
+ Revision: 42297
- fix group

* Sun May 27 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.1-3mdv2008.0
+ Revision: 31679
- patch5: fix pulseaudio build on ppc

  + Funda Wang <fwang@mandriva.org>
    - fix rpm group

* Tue May 01 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1-2mdv2008.0
+ Revision: 19954
- Rediffed m68k patch (untested)
- Apply some patches from Debian packaged

* Sun Apr 22 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1-1mdv2008.0
+ Revision: 17029
- Import libatomic_ops

